Bug 219232 - [NEW PORT] security/highwayhash: Fast strong hash functions: SipHash/HighwayHash
Summary: [NEW PORT] security/highwayhash: Fast strong hash functions: SipHash/HighwayHash
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Richard Gallamore
URL: https://github.com/google/highwayhash
Keywords: feature
Depends on:
Blocks:
 
Reported: 2017-05-12 07:11 UTC by Yuri Victorovich
Modified: 2017-08-13 22:40 UTC (History)
2 users (show)

See Also:


Attachments
shar (6.14 KB, text/plain)
2017-05-12 07:11 UTC, Yuri Victorovich
no flags Details
shar (6.11 KB, text/plain)
2017-08-04 06:04 UTC, Yuri Victorovich
no flags Details
shar (5.75 KB, text/plain)
2017-08-12 00:06 UTC, Yuri Victorovich
no flags Details
shar (5.75 KB, text/plain)
2017-08-12 01:17 UTC, Yuri Victorovich
no flags Details
shar archive (3.54 KB, text/plain)
2017-08-12 17:51 UTC, Yuri Victorovich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2017-05-12 07:11:44 UTC
Created attachment 182529 [details]
shar

New cryptographic hash implementations from google.

https://github.com/google/highwayhash
Comment 1 Mathieu Arnold freebsd_committer 2017-07-06 13:52:52 UTC
Assignee timeout. Give back to the pool.
Comment 2 Yuri Victorovich freebsd_committer 2017-07-06 14:01:14 UTC
Builds in poudriere.
Comment 3 Yuri Victorovich freebsd_committer 2017-08-04 06:04:40 UTC
Created attachment 185010 [details]
shar

QAs:
* poudriere
* portlint
Comment 4 Richard Gallamore freebsd_committer 2017-08-11 18:54:55 UTC
Few things here,

* PORTVERSION with github tag should be date with a g, ex. g20170811.
* The patch-Makefile could be made into a REINPLACE_CMD in post-patch target.
* Libs need stripped
* Port fails to build in i386.
Comment 5 Yuri Victorovich freebsd_committer 2017-08-12 00:06:47 UTC
Created attachment 185300 [details]
shar


> * PORTVERSION with github tag should be date with a g, ex. g20170811.
> * The patch-Makefile could be made into a REINPLACE_CMD in post-patch target.
> * Libs need stripped
Fixed

> * Port fails to build in i386.
Not supported on i386 yet. Added ONLY_FOR_ARCHS.

Please ignore portlint warning about CHMOD - it just corrects permissions, and will go away when upstream fixes bugs related to install flags.
Comment 6 Richard Gallamore freebsd_committer 2017-08-12 01:09:41 UTC
* Instead of changing the install perms in Makefile, why not change it to ${INSTALL_LIB}. This should take care of the perms and stripping.

* Also, ONLY_FOR_ARCHS* should be after the license section and before the *_DEPENDS section.
Comment 7 Yuri Victorovich freebsd_committer 2017-08-12 01:17:13 UTC
Created attachment 185301 [details]
shar

> * Instead of changing the install perms in Makefile, why not change it to ${INSTALL_LIB}. This should take care of the perms and stripping.

Because they do install it, just permissions are wrong. I asked them to fix permissions upstream, and to preserve symlinks. Once they do, these lines will just disappear. In the mean time, these lines just correct what they did wrong.

> * Also, ONLY_FOR_ARCHS* should be after the license section and before the *_DEPENDS section.

You need to submit this bug to ports-mgmt/portlint. portlint checks the order, and it currently doesn't complain.

I moved the section.
Comment 8 Richard Gallamore freebsd_committer 2017-08-12 01:34:58 UTC
bug #221377 There is already a patch just waiting for approval.

I think the perm problem is acceptable if your getting fixed upstream. I'll take another look at it later if I have time. Thanks for your contributions.
Comment 9 Yuri Victorovich freebsd_committer 2017-08-12 01:43:22 UTC
(In reply to Richard Gallamore from comment #8)

Thanks!
Comment 10 Richard Gallamore freebsd_committer 2017-08-12 17:36:16 UTC
Can you also request upstream to implement the patch-highwayhash_os__specific.cc patch?
Comment 11 Yuri Victorovich freebsd_committer 2017-08-12 17:51:21 UTC
Created attachment 185326 [details]
shar archive

Actually, somebody already committed this patch upstream.
Removed from port.
Comment 12 commit-hook freebsd_committer 2017-08-13 22:36:13 UTC
A commit references this bug:

Author: ultima
Date: Sun Aug 13 22:35:19 UTC 2017
New revision: 447922
URL: https://svnweb.freebsd.org/changeset/ports/447922

Log:
  Strong (well-distributed and unpredictable) hashes:

  * Portable implementation of SipHash
  * HighwayHash, a 5x faster SIMD hash with security claims

  WWW: https://github.com/google/highwayhash

  PR:		219232
  Submitted by:	Yuri Victorovich (maintainer)
  Reviewed by:	matthew (mentor)
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D12002

Changes:
  head/security/Makefile
  head/security/highwayhash/
  head/security/highwayhash/Makefile
  head/security/highwayhash/distinfo
  head/security/highwayhash/files/
  head/security/highwayhash/files/patch-highwayhash_os__specific.cc
  head/security/highwayhash/pkg-descr
  head/security/highwayhash/pkg-plist
  head/security/highwayhash/tags
Comment 13 Richard Gallamore freebsd_committer 2017-08-13 22:40:05 UTC
(In reply to Yuri Victorovich from comment #11)
I already had this in que for commit. Please open a new PR for update with the changes.


Committed, thanks!